@echo off
COPY C:\Saturn~1\SET_ELF.BAT .\TMP.BAT
CALL TMP.BAT
DEL TMP.BAT

set pj_name=SGL_SamplePG

:start
echo --------------------------------------------
echo  Type `e' to end.
echo  Type `c' to clean folder.
echo  Type `m' to make program.
echo  Type `r' to rebuild program.
echo  Type `t' to test program under yabause.
SET /P cm="Command: "

If "%cm%" == "e" goto end
If "%cm%" == "c" goto clean
If "%cm%" == "m" goto make
If "%cm%" == "r" goto rebuild
If "%cm%" == "t" goto test
goto start



:clean
make OBJFMT=elf clean
del /Q *.o sl_elf.bin sl_elf.iso
goto start


:make
del /Q sl_elf.iso
make OBJFMT=elf
copy sl_elf.iso release\%pj_name%.iso
goto start


:rebuild
make OBJFMT=elf clean
del /Q sl_elf.iso
del /Q release\%pj_name%.iso

make OBJFMT=elf
copy sl_elf.iso release\%pj_name%.iso
goto start


:test
cd yabause
start yabause.exe
cd ..
goto start


:end

